local t = Def.ActorFrame {};

-- P2 Judgement Labels
t[#t+1] = Def.ActorFrame {
	OnCommand=cmd(diffusealpha,0;addx,10;sleep,0.5;decelerate,0.2;diffusealpha,1;addx,-10;);
	OffCommand=cmd(decelerate,0.2;addx,-10;diffusealpha,0;);	
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_W1"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+210;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_W1')););
	};
	
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_W2"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+230;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_W2')););
	};

	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_W3"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+250;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_W3')););
	};

	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_W4"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+270;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_W4')););
	};

	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_W5"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+290;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_W5')););
	};

	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_Miss"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+310;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_Miss')););
	};
	
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_Held"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+330;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_Held')););
	};
	
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,right;zoom,1.0;diffuse,ColorMidTone(JudgmentLineToColor("JudgmentLine_MaxCombo"));x,SCREEN_RIGHT-98;y,SCREEN_TOP+350;settext,string.upper(JudgmentLineToLocalizedString('JudgmentLine_MaxCombo')););
	};
};

-- P2 numbers
t[#t+1] = Def.ActorFrame {
	OnCommand=cmd(diffusealpha,0;addx,10;sleep,0.5;decelerate,0.2;diffusealpha,1;addx,-10;);
	OffCommand=cmd(decelerate,0.2;addx,10;diffusealpha,0;);	
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+210;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetTapNoteScores("TapNoteScore_W1"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+230;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetTapNoteScores("TapNoteScore_W2"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+250;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetTapNoteScores("TapNoteScore_W3"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+270;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetTapNoteScores("TapNoteScore_W4"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+290;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetTapNoteScores("TapNoteScore_W5"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+310;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetTapNoteScores("TapNoteScore_Miss"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+330;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self) 
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetHoldNoteScores("HoldNoteScore_Held"))
        end;
	};
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+350;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self)
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):MaxCombo())
        end;
	};	
	LoadFont("_roboto bk 24px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+405;zoom,1.0;diffuse,color("#212121");playcommand,"Set";);
		SetCommand=function(self)
            local p1percent = STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetPercentDancePoints()
			self:settext(FormatPercentScore(p1percent))
        end;
	};
};

t[#t+1] = LoadFont("_roboto condensed light 48px") .. {
		InitCommand=cmd(visible,GAMESTATE:IsHumanPlayer(PLAYER_2);horizalign,left;x,SCREEN_RIGHT-320;y,SCREEN_TOP+380;zoom,0.75;diffuse,color("#212121");playcommand,"Set";);
		OnCommand=cmd(diffusealpha,0;addx,10;sleep,0.5;decelerate,0.2;diffusealpha,1;addx,-10;);
		OffCommand=cmd(smooth,0.2;diffusealpha,0;);
		SetCommand=function(self)
            self:settext(STATSMAN:GetCurStageStats():GetPlayerStageStats(PLAYER_2):GetScore())
        end;
	};
	
return t